# himitsu-firefox

This is a Firefox add-on that provides integration with [Himitsu][0].

[0]: https://sr.ht/~sircmpwn/himitsu

## Dependencies

The Himitsu Hare libraries must be installed in your HAREPATH, ideally via a
package called `himitsu-dev` or similar from your downstream software
distribution.

## Installation

Run `make` to build the native component and add-on.

To install the native messaging component, run `make install-native` as root.

To install the add-on for Firefox ESR, run `make install-xpi`. Be advised that
this will probably not work. The recommended installation procedure for the
native extension is to install it from [addons.mozilla.org] instead.

[addons.mozilla.org]: https://addons.mozilla.org/en-US/firefox/addon/himitsu-integration/

## Alternative add-on installation methods

You can temporarily load this add-on for debugging purposes by navigating to
about:addons and loading the manifest.json file at the root of this repository.

Certain Firefox releases (notably Firefox Developer Edition) allow you to load
unsigned add-ons permanently. Set "xpinstall.signatures.required" to false in
about:config and then load the XPI file via about:addons.

So long as himitsu-firefox has been active in the past 90 days, you may obtain
the latest unsigned XPI build from the most recent builds.sr.ht job:

https://builds.sr.ht/~sircmpwn/himitsu-firefox/commits/master
